#include <iostream>
#include <cstdlib>

using namespace std;

int main() {
    
    long int x1, x2, y1, y2;
    
    cin >> x1 >> y1;
    cin >> x2 >> y2;
    
    if((x1 == x2) || (y1 == y2))
        cout << "2" << endl;
    else 
    {
        long int a = abs(y2-y1);
        long int b = abs(x2-x1);
        if(a == b)
            cout << "1" << endl;
        else 
            cout << "0" << endl;
    }
    return 0;
}